## ros-indigo-interactive-world-tools 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(interactive_world_tools)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  interactive_world_msgs
  geometry_msgs
  move_base_msgs
  rail_manipulation_msgs
  roscpp
  roslib
  std_srvs
  tf2
  tf2_ros
)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(PkgConfig)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Check for what version of YAML we have
pkg_check_modules(YAML_CPP yaml-cpp)
if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
  add_definitions(-DYAMLCPP_GT_0_5_0)
endif()

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)
link_directories(${YAML_CPP_LIBRARY_DIRS})

## Declare a cpp executable
add_executable(interactive_world_model_fetcher nodes/interactive_world_model_fetcher.cpp)
add_executable(high_level_action_server
  nodes/high_level_action_server.cpp
  src/HighLevelActions.cpp
  src/PlacementSurface.cpp
  src/PointOfInterest.cpp
  src/Room.cpp
  src/Surface.cpp
  src/World.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(interactive_world_model_fetcher
  ${catkin_LIBRARIES}
  jsoncpp
  curl
)
target_link_libraries(high_level_action_server
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
  yaml-cpp
)

## Add message build dependencies (needed for source build)
add_dependencies(interactive_world_model_fetcher interactive_world_msgs_gencpp)
add_dependencies(high_level_action_server interactive_world_msgs_gencpp wpi_jaco_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS interactive_world_model_fetcher high_level_action_server
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-indigo-interactive-world-tools (0.0.12-0trusty) trusty; urgency=high

  * Removes outdated CARL deps
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 31 Mar 2016 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.11-0trusty) trusty; urgency=high

  * Updated messages to use rail_manipulation_msgs insted of carl_moveit
  * Update package.xml
  * small edits to server
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Feb 2016 08:00:00 -0000

ros-indigo-interactive-world-tools (0.0.10-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.9-0trusty) trusty; urgency=high

  * temporal search added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.7-0trusty) trusty; urgency=high

  * added tuck arm action
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.6-0trusty) trusty; urgency=high

  * travis fix
  * higher level action server started
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 30 Mar 2015 07:00:00 -0000

ros-indigo-interactive-world-tools (0.0.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Feb 2015 08:00:00 -0000

ros-indigo-interactive-world-tools (0.0.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-interactive-world-tools (0.0.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 08:00:00 -0000

ros-indigo-interactive-world-tools (0.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 16 Dec 2014 08:00:00 -0000

ros-indigo-interactive-world-tools (0.0.1-0trusty) trusty; urgency=high

  * travis fix
  * changelog updated
  * load models added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 12 Dec 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-interactive-world-tools
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), curl, libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libyaml-cpp-dev, pkg-config, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interactive-world-msgs, ros-indigo-move-base-msgs, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-std-srvs, ros-indigo-tf2, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/interactive_world_tools
Standards-Version: 3.9.2

Package: ros-indigo-interactive-world-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-geometry-msgs, ros-indigo-interactive-world-msgs, ros-indigo-move-base-msgs, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-std-srvs, ros-indigo-tf2, ros-indigo-tf2-ros
Description: Tools and Modules for the Interactive World Models

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-interactive-world-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
